package sysImplementation;

public class Video {
	private String title;
	private int duration;
	private StringBuffer allReviews;

	public Video(String title, int duration) {
		this.title = title;
		this.duration = duration;
		allReviews = new StringBuffer();
	}

	/* mention copy constructor StringBuffer */
	public Video(Video video) {
		this.title = video.title;
		this.duration = video.duration;
		allReviews = new StringBuffer(video.allReviews);
	}

	public String getTitle() {
		return title;
	}

	public int getDuration() {
		return duration;
	}

	public StringBuffer getAllReviews() {
		return new StringBuffer(allReviews);
	}

	public Video addReview(String review) {
		if (review != null && !review.equals("")) {
			allReviews.append(review);
		}

		return this;
	}

	public String toString() {
		return "Title: " + title + ", Duration: " + duration + ", AllReviews: " + allReviews;
	}
}
